Skip to main content
GET
/
transactions
/
{id}
cURL
curl --request GET \
  --url https://api.example.com/transactions/{id}
{
  "id": "019bdb2a-960f-789d-8955-21720e6cdeed",
  "referenceId": "PAY-123456",
  "referenceSource": "PAYMENT",
  "postings": [
    {
      "id": "019bdb2a-960f-789d-8955-21720e6cdeef",
      "source": "CUSTOMER:019bdb2a-960f-789d-8955-21720e6cdeee:019bdb2a-960f-789d-8955-21720e6cdeed:CURRENT",
      "destination": "INTERNAL:CLEARING:OUTBOUND",
      "amount": 10000,
      "currency": "EUR/2",
      "type": "CREDIT_TRANSFER",
      "details": "Payment for invoice #67"
    }
  ],
  "createdAt": "2026-01-22T13:47:21.542163Z"
}

Path Parameters

id
string<uuid>
required
Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}

Response

200 - application/json

OK

Transaction details

id
string<uuid>
required

Transaction ID

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
Example:

"019bdb2a-960f-789d-8955-21720e6cdeed"

referenceId
string
required

Reference ID

Example:

"PAY-123456"

referenceSource
string
required

Reference source

Example:

"PAYMENT"

postings
object[]
required

List of postings

createdAt
string<date-time>
required

Transaction creation timestamp

Example:

"2026-01-22T13:47:21.542163Z"

Last modified on February 10, 2026